org.apache.commons.ssl.asn1

## Class DERObject

- java.lang.Object
- - org.apache.commons.ssl.asn1.ASN1Encodable
  - - org.apache.commons.ssl.asn1.DERObject

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  ASN1Object, DERUnknownTag

    public abstract class DERObject
    extends ASN1Encodable
    implements DERTags

### Field Summary

### Fields inherited from class org.apache.commons.ssl.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.apache.commons.ssl.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`DERObject()`

### Method Summary

Methods
`(package private) abstract void` `encode(DEROutputStream out)`
`abstract boolean` `equals(java.lang.Object o)`
`abstract int` `hashCode()`
`DERObject` `toASN1Object()`

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1Encodable

`getDEREncoded, getDERObject, getEncoded, getEncoded`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DERObject

    public DERObject()

### Method Detail

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`

#### hashCode

    public abstract int hashCode()

Overrides:
  `hashCode` in class `ASN1Encodable`

#### equals

    public abstract boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `ASN1Encodable`

#### encode

    abstract void encode(DEROutputStream out)
                  throws java.io.IOException

Throws:
  `java.io.IOException`